postgis_2.5.1+dfsg-1_amd64.deb


Advertisement

Description

postgis - Geographic objects support for PostgreSQL

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename postgis_2.5.1+dfsg-1_amd64.deb
Package name postgis
Package version 2.5.1+dfsg
Package release 1
Package architecture amd64
Package type deb
Category universe/misc
Homepage http://postgis.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 123.57 KB
Installed size 424.00 KB
PostGIS adds support for geographic objects to the PostgreSQL
object-relational database. In effect, PostGIS "spatially enables"
the PostgreSQL server, allowing it to be used as a backend spatial
database for geographic information systems (GIS), much like ESRI's
SDE or Oracle's Spatial extension. PostGIS follows the OpenGIS
"Simple Features Specification for SQL".
This package contains the PostGIS userland binaries for importing and
exporting shape and raster files: pgsql2shp, raster2pgsql, and shp2pgsql.

Alternatives

Package Version Architecture Repository
postgis_2.5.1+dfsg-1_i386.deb 2.5.1+dfsg i386 Ubuntu Universe
postgis - - -

Requires

Name Value
libc6 >= 2.14
libgdal20 >= 2.0.1
libgeos-c1v5 >= 3.4.2
liblwgeom-2.5-0 >= 2.0.0
libpq5 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package postgis_2.5.1+dfsg-1_amd64.deb
Source Package postgis

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgis deb package:
    # sudo apt-get install postgis

Files

Path
/usr/bin/pgsql2shp
/usr/bin/raster2pgsql
/usr/bin/shp2pgsql
/usr/share/doc/postgis/NEWS.Debian.gz
/usr/share/doc/postgis/README.Debian
/usr/share/doc/postgis/changelog.Debian.gz
/usr/share/doc/postgis/copyright
/usr/share/doc/postgis-doc/README.postgis.gz
/usr/share/man/man1/pgsql2shp.1.gz
/usr/share/man/man1/raster2pgsql.1.gz
/usr/share/man/man1/shp2pgsql.1.gz

Changelog

2018-11-22 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.1+dfsg-1) unstable; urgency=medium
* New upstream release.
* Add Build-Depends-Package field to symbols file.
2018-10-14 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.0+dfsg-2) unstable; urgency=medium
* Move from experimental to unstable.
2018-10-05 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.0+dfsg-2~exp1) experimental; urgency=medium
* Strip trailing comma from Uploaders.
* Reorder Breaks/Provides/Replaces fields.
* Update packaging for postgresql-11.
2018-09-24 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.0+dfsg-1) unstable; urgency=medium
* New upstream release.
* Move from experimental to unstable.
2018-09-17 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.0~rc2+dfsg-1~exp1) experimental; urgency=medium
* New upstream release candidate.
* Bump Standards-Version to 4.2.1, no changes.
2018-08-20 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.0~rc1+dfsg-1~exp1) experimental; urgency=medium
[ Christoph Berg ]
* Provide postgresql-PGVERSION-postgis{,-scripts} so pgrouting can depend on
us without an explicit postgis version.
[ Bas Couwenberg ]
* New upstream release candidate.
2018-08-11 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.0~beta2+dfsg-1~exp1) experimental; urgency=medium
[ Bas Couwenberg ]
* New upstream beta release.
* Don't quote filter string to fix match of first and last items.
* Bump Standards-Version to 4.2.0, no changes.
* Update copyright years for Paul Ramsey.
* Drop rt_gdalwarp.patch, worked around by upstream.
* Drop unused override for hardening-no-fortify-functions.
* Separate test restrictions with a comma.
[ Christoph Berg ]
* Re-enable tests on arm64 armel armhf i386 ppc64el, fixed upstream.
* Use make check RUNTESTFLAGS="-v" instead of cat'ing the failed results
from /tmp. Suggested by Darafei Praliaskouski, thanks!
* Provide postgresql-postgis and postgresql-postgis-scripts, so we can
depend on them in autopkgtests in other packages.
* Drop transitional postgresql-*-postgis-scripts package. The PG 9.6 variant
was already transitional in stretch, and the PG 10 variant was never in a
stable release.
2018-07-16 - Christoph Berg <myon@debian.org>
postgis (2.5.0~beta1+dfsg-1~exp2) experimental; urgency=medium
[ Bas Couwenberg ]
* Bump Standards-Version to 4.1.5, no changes.
* Skip tests on arm64 & ppc64el too.
* Drop parallel patches, fixed upstream.
[ Christoph Berg ]
* debian/pgversions: Bump to 9.4+, 9.3 is no longer supported.
* Bump required GEOS version to 3.5.
* Work around failure in building the postgis_tiger_geocoder extension.
* debian/rules: Ignore test failures instead of disabling tests completely
on specific architectures; ignore tests on i386.
* Don't run tests in -indep builds.
* debian/rules: Import architecture from /usr/share/dpkg/architecture.mk.
* Re-enable tests on Ubuntu.
* Add myself to Uploaders.
2018-07-04 - Bas Couwenberg <sebastic@debian.org>
postgis (2.5.0~beta1+dfsg-1~exp1) experimental; urgency=medium
* New upstream beta release.
* Re-enable SFCGAL support, FTBFS with CGAL 4.12 is fixed.
* Disable PIE only on older Ubuntu releases.
* Update copyright file, add copyright holders, update copyright years.
* Refresh patches.
* Disable parallel patches, may be fixed upstream.
* Update Conflicts for postgis-2.4.
* Update lintian override for address_standardizer.
* Update symbols for 2.5.0~beta1.
2018-06-10 - Bas Couwenberg <sebastic@debian.org>
postgis (2.4.4+dfsg-4) unstable; urgency=medium
* Add patches to fix parallel build of other extensions.

See Also

Package Description
postgresql-11-bgw-replstatus_1.0.3_amd64.deb report whether PostgreSQL node is master or standby
postgresql-11-citus_8.0.0.PGDG-2_amd64.deb sharding and distributed joins for PostgreSQL
postgresql-11-cron_1.1.3-2_amd64.deb Run periodic jobs in PostgreSQL
postgresql-11-cstore-fdw_1.6.2-1_amd64.deb PostgreSQL foreign data wrapper for columnar storage
postgresql-11-debversion_1.1.1-2_amd64.deb Debian version number type for PostgreSQL
postgresql-11-dirtyread_2.0-3_amd64.deb Read dead but unvacuumed tuples from a PostgreSQL relation
postgresql-11-hll_2.12-3_amd64.deb HyperLogLog extension for PostgreSQL
postgresql-11-hypopg_1.1.2-1_amd64.deb PostgreSQL extension adding support for hypothetical indexes
postgresql-11-ip4r_2.4-1_amd64.deb IPv4 and IPv6 types for PostgreSQL 11
postgresql-11-jsquery_1.1.1-1_amd64.deb PostgreSQL JSON query language with GIN indexing support
postgresql-11-mimeo_1.5.1-4_all.deb specialized, per-table replication between PostgreSQL instances
postgresql-11-mysql-fdw_2.5.1-1_amd64.deb Postgres 11 Foreign Data Wrapper for MySQL
postgresql-11-numeral_1.0-2_amd64.deb numeral datatypes for PostgreSQL
postgresql-11-ogr-fdw_1.0.7-2_amd64.deb PostgreSQL foreign data wrapper for OGR
postgresql-11-orafce_3.7.2-2_amd64.deb Oracle support functions for PostgreSQL 11
Advertisement
Advertisement